Jump to:

22977 Posts in 11742 Topics by 2826 members

General Questions

SilverStripe Forums » General Questions » Help, can't install any modules. v3.0.5

General questions about getting started with SilverStripe that don't fit in any of the categories above.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Page: 1
Go to End
Author Topic: 396 Views
  • jbryner
    Avatar
    Community Member
    15 Posts

    Help, can't install any modules. v3.0.5 Link to this post

    I'm upgrading a site from v2.4 to v3.0.5 I finally got the site up and running, but none of the modules I've installed seem to registering. For instance, I converted a gallery page to the Photo Gallery detailed in this page: http://www.silverstriperesources.com/articles/how-to-make-a-photo-gallery-in-silverstripe-3/ . I uploaded both of the "GridFieldBulkEditingTools" and "SortableGridField" folders to my site's root, with the other main SS files. But when I load up the gallery page I get a "Fatal error: Class 'GridFieldBulkEditingTools' not found " error. Neither of those modules show in the /dev/build output.

    I also have uploadify and htmlpurifier, neither of those show up in the /dev/build.

    Is there's something that I could've done in the upgrade process that would make these modules not install?

  • Bambii7
    Avatar
    Community Member
    254 Posts

    Re: Help, can't install any modules. v3.0.5 Link to this post

    Hi jbryner,
    isn't the uploadify module a 2.4 extension (from the righteous uncle cheese) don't think that will be compatible with 3.x
    Also I had some issue with blog modules, as I was downloading the master copies of the branches on Github. I managed to get the GridField & Sortable grid going, if you're still having issues with the modules I can upload the versions I have.

  • SnowBoarder82
    Avatar
    Community Member
    52 Posts

    Re: Help, can't install any modules. v3.0.5 Link to this post

    Hi jbryner,

    I seem to be having the same issue with installing the gallery module as you've described. Did you ever come to a solution on this one?

  • SnowBoarder82
    Avatar
    Community Member
    52 Posts

    Re: Help, can't install any modules. v3.0.5 Link to this post

    Hi jbryner and anyone else experiencing the same problem.

    You can see the thread for the fix on the GridFieldBulkEditing tools error with the SS3 Gallery Module here:
    http://www.silverstripe.org/all-other-modules/show/20465?start=56

    396 Views
Page: 1
Go to Top

Want to know more about the company that brought you SilverStripe? Then check out SilverStripe.com

Comments on this website? Please give feedback.